<template>
  <div class="directives">
    <h1>Les Directives - Examples</h1>
  

    <div class="separator">
      <p v-bind:id="myData.id">Ce texte contient un ID "{{ myData.id }}" assigné dynamiquement</p>
      <a v-bind:href="myData.link" target="_blank">
        Ce lien contient un href "{{ myData.link }}" assigné dynamiquement
      </a>
    </div>

    <div class="separator">
      <p v-if="displayMyFirstName">Mon prénom est Thomas</p>

      <p v-if="displayMyLastName">Mon nom de famille est Laigneau</p>
      <p v-else>J'ai fait le choix de ne pas afficher mon nom de famille</p>
    </div>

    <div class="separator">
      <button v-on:click="counter += 1">Ajouter 1</button>
      <span>&nbsp;Le bouton ci-dessus a été cliqué {{ counter }} fois.</span>

      <br />
      <br />
      <button v-on:click="displayAlert">Ceci est un bouton qui va déclencher une alerte</button>

      <br />
      <br />
      <button v-on:click="sayHello('toto')">Dire bonjour à toto</button>

      <br />
      <br />
      <a :href="myData.link" @click.prevent="stopLink($event)">Ce lien ne vas pas fonctionner</a>
    </div>

    <div class="separator">
      <div v-for="(user, index) in users" :key="index">
        <span>{{ index }} - {{ user.name }}</span>
      </div>
    </div>
    
  </div>
</template>

<script>


export default {
  name: 'Directives',

  data: function () {
    return {
      myData: {
        id: 'myId',
        link: 'https://www.atecna.fr/'
      },
      displayMyFirstName: true,
      displayMyLastName: false,
      counter: 0,
      users: [
        {
          name: 'Toto',
        },
        {
          name: 'Tata',
        },
        {
          name: 'Titi',
        }
      ]
    }
  },

  methods: {
    displayAlert () {
      alert('Super une alerte !');
    },

    sayHello (name) {
      alert(`Hello ${name}`);
    },

    stopLink (event) {
      alert(`Désolé mais j'ai stoppé le lien vers ${event.srcElement.href}`);
    }
  }
}
</script>

<style lang="scss" scoped>
  .directives {
    text-align: left;

    .separator {
      border-bottom: solid 1px red;
      padding-bottom: 1rem;
      margin-bottom: 3rem;
    }
  }
</style>
